#include <stdio.h>
#include "mpi.h"

int main(int argc, char** argv)
{
    int lib_ret = library_foo_init();

    MPI_Init(&argc, &argv);
    int rank = -1;

    MPI_Comm_rank(MPI_COMM_WORLD, &rank);
    printf("Hello from app rank %d\n", rank);

    MPI_Finalize();

    lib_ret = library_foo_finalize();
    printf("lib ret = %d\n");
    
    return 0;
}
